#!/bin/bash

CUPS_FILE="/usr/share/cups/mime/cupsfilters.convs"
FILTER_DIR="/usr/lib/cups/filter/"
PRINTER_DIR="/opt/print-control/"


# 检查过滤器是否开启textmonitor
cups_filter_check() {
    if grep -Eq '^[^#].*textmonitor$' "$CUPS_FILE"; then
	echo "exsit"
    else
	echo "cups filter textmonitor  重新开启"
        sudo sed -E -i '/.*application\/pdf.*application\/vnd\.cups-pdf/a\
application/pdf		application\/vnd.cups-pdf		6	textmonitor'  $CUPS_FILE
    fi
}


# 检查过滤器文件是否存在
cups_filter_monitor() {
    if [[ ! -f "$FILTER_DIR/textmonitor" ]]; then  
        echo "reinstall textmonitor"
	sudo cp $PRINTER_DIR"/modules/textmonitor" $FILTER_DIR
	sudo chown -R  root:root  $FILTER_DIR/textmonitor
	sudo chmod  755  $FILTER_DIR/textmonitor
    fi
}

cups_filter_check

cups_filter_monitor



